### Class

# WebKit OptionMenu

since: 2.18

#### Description [src]

    final class WebKit.OptionMenu : GObject.Object
    {
      /* No available fields */
    }

Represents the dropdown menu of a `select` element in a `WebKitWebView`.

When a select element in a `WebKitWebView` needs to display a dropdown menu, the signal `WebKitWebView::show-option-menu` is emitted, providing a WebKitOptionMenu with the `WebKitOptionMenuItem`s that should be displayed.

Available since: 2.18

#### Ancestors

- GObject

#### Instance methods

###### webkit_option_menu_activate_item

Activates the `WebKitOptionMenuItem` at `index` in `menu`.

since: 2.18

###### webkit_option_menu_close

Request to close a `WebKitOptionMenu`.

since: 2.18

###### webkit_option_menu_get_event

Gets the `GdkEvent` that triggered the dropdown menu. If `menu` was not triggered by a user interaction, like a mouse click, `NULL` is returned.

since: 2.40

###### webkit_option_menu_get_item

Returns the `WebKitOptionMenuItem` at `index` in `menu`.

since: 2.18

###### webkit_option_menu_get_n_items

Gets the length of the `menu`.

since: 2.18

###### webkit_option_menu_select_item

Selects the `WebKitOptionMenuItem` at `index` in `menu`.

since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### WebKit.OptionMenu::close

Emitted when closing a `WebKitOptionMenu` is requested. This can happen when the user explicitly calls `webkit_option_menu_close()` or when the element is detached from the current page.

since: 2.18

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitOptionMenuClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.